質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.13%

Tensorflowの実行にエラーが表示される。

受付中

回答 0

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,656

cloudspider

score 90

tensorflowのfully_connected_feed.pyを実行しようとすると、エラーがでます。

2017年5月15日現在で
$ git clone https://github.com/tensorflow/tensorflow
を実行したtensorflowファイルの中で
$ python fully_connected_feed.py
を実行すると以下のようなエラー文が出ます。

Traceback (most recent call last):
  File "tensorflow/examples/tutorials/mnist/fully_connected_feed.py", line 277, in <module>
    tf.app.run(main=main, argv=[sys.argv[0]] + unparsed)
TypeError: run() got an unexpected keyword argument 'main'


このエラー文で検索してみると、「前のバージョンを使ってみると良いよ」とあったので、

r0.8でブランチ切っているものをインストールしてみました。
$ git clone -b r0.8 --recurse-submodules https://github.com/tensorflow/tensorflow
これで同じように
$ python fully_connected_feed.py
を実行してみると、次は以下のようなエラー文が表示されました。

Extracting data/train-images-idx3-ubyte.gz
Extracting data/train-labels-idx1-ubyte.gz
Extracting data/t10k-images-idx3-ubyte.gz
Extracting data/t10k-labels-idx1-ubyte.gz
I tensorflow/core/common_runtime/local_device.cc:40] Local device intra op parallelism threads: 8
I tensorflow/core/common_runtime/direct_session.cc:58] Direct session inter op parallelism threads: 8
Traceback (most recent call last):
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/google/protobuf/internal/python_message.py", line 517, in init
    copy.MergeFrom(new_val)
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/google/protobuf/internal/python_message.py", line 1208, in MergeFrom
    "expected %s got %s." % (cls.__name__, type(msg).__name__))
TypeError: Parameter to MergeFrom() must be instance of same class: expected GraphDef got Graph.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "tensorflow/examples/tutorials/mnist/fully_connected_feed.py", line 226, in <module>
    tf.app.run()
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/tensorflow/python/platform/default/_app.py", line 30, in run
    sys.exit(main(sys.argv))
  File "tensorflow/examples/tutorials/mnist/fully_connected_feed.py", line 222, in main
    run_training()
  File "tensorflow/examples/tutorials/mnist/fully_connected_feed.py", line 164, in run_training
    summary_writer = tf.train.SummaryWriter(FLAGS.train_dir, sess.graph)
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/tensorflow/python/training/summary_io.py", line 103, in __init__
    self.add_graph(graph_def)
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/tensorflow/python/training/summary_io.py", line 151, in add_graph
    event = event_pb2.Event(wall_time=time.time(), graph_def=graph_def)
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/google/protobuf/internal/python_message.py", line 519, in init
    _ReraiseTypeErrorWithFieldName(message_descriptor.name, field_name)
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/google/protobuf/internal/python_message.py", line 450, in _ReraiseTypeErrorWithFieldName
    six.reraise(type(exc), exc, sys.exc_info()[2])
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/google/protobuf/internal/python_message.py", line 517, in init
    copy.MergeFrom(new_val)
  File "/Users/maru/.pyenv/versions/py350tensorflow/lib/python3.5/site-packages/google/protobuf/internal/python_message.py", line 1208, in MergeFrom
    "expected %s got %s." % (cls.__name__, type(msg).__name__))
TypeError: Parameter to MergeFrom() must be instance of same class: expected GraphDef got Graph. for field Event.graph_def


最後の行のエラー文で検索してみると、次は「最新バージョンをインストールすることを強くおすすめします」とありました。

どこに問題があるのでしょうか。
ご存じの方がいらっしゃればよろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.13%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る